com.trendmicro.ds.appcontrol.rest.object

## Enum AppControlPolicyParameters.WhitelistMode

- java.lang.Object
- - java.lang.Enum<AppControlPolicyParameters.WhitelistMode>
  - - com.trendmicro.ds.appcontrol.rest.object.AppControlPolicyParameters.WhitelistMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AppControlPolicyParameters.WhitelistMode>
  Enclosing class:
    AppControlPolicyParameters

      public static enum AppControlPolicyParameters.WhitelistMode
      extends java.lang.Enum<AppControlPolicyParameters.WhitelistMode>

  Application control whitelist mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INHERIT` Inherit whitelist mode from parent policy.
    `LOCAL_INVENTORY` Use local inventory as whitelist.
    `SHARED` Use a shared whitelist.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AppControlPolicyParameters.WhitelistMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AppControlPolicyParameters.WhitelistMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INHERIT

          public static final AppControlPolicyParameters.WhitelistMode INHERIT

      Inherit whitelist mode from parent policy.

    - #### LOCAL_INVENTORY

          public static final AppControlPolicyParameters.WhitelistMode LOCAL_INVENTORY

      Use local inventory as whitelist.

    - #### SHARED

          public static final AppControlPolicyParameters.WhitelistMode SHARED

      Use a shared whitelist.

  - ### Method Detail

    - #### values

          public static AppControlPolicyParameters.WhitelistMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AppControlPolicyParameters.WhitelistMode c : AppControlPolicyParameters.WhitelistMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AppControlPolicyParameters.WhitelistMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2017 Trend Micro Inc. All Rights Reserved.